//  DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS HEADER.
//
//   Copyright 2016-2018 Pascal ECHEMANN.
//
//   Licensed under the Apache License, Version 2.0 (the "License");
//   you may not use this file except in compliance with the License.
//   You may obtain a copy of the License at
//
//       http://www.apache.org/licenses/LICENSE-2.0
//
//   Unless required by applicable law or agreed to in writing, software
//   distributed under the License is distributed on an "AS IS" BASIS,
//   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//   See the License for the specific language governing permissions and
//   limitations under the License.

/**
 * The <code>SokokeMetadataRefs</code> static class provides static references
 * used to define Sokoke metadata. 
 */
export class SokokeMetadataRefs {

  /**
   * Specifies the reference used to work with Sokoke context metadata.
   */
  public static readonly SOKOKE_CONTEXT_METADATA:string =
                                                      "__sokokeContextMetadata";

  /**
   * Specifies the reference used to work with Sokoke injection point metadata.
   */
  public static readonly SOKOKE_INJECTION_POINT_METADATA:string =
                                               "__sokokeInjectionPointMetadata";
                                                      
}